vector File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | __glibcxx_want_allocator_traits_is_always_equal
#define | __glibcxx_want_constexpr_vector
#define | __glibcxx_want_erase_if
#define | __glibcxx_want_incomplete_container_elements
#define | __glibcxx_want_nonmember_container_access
#define | _GLIBCXX_VECTOR

## Typedefs

template<typename _Tp >
using | std::pmr::vector = std::vector< _Tp, polymorphic_allocator< _Tp > >

## Detailed Description

This is a Standard C++ Library header.

Definition in file vector.

## Macro Definition Documentation

## __glibcxx_want_allocator_traits_is_always_equal

#define __glibcxx_want_allocator_traits_is_always_equal

Definition at line 79 of file vector.

## __glibcxx_want_constexpr_vector

#define __glibcxx_want_constexpr_vector

Definition at line 80 of file vector.

## __glibcxx_want_erase_if

#define __glibcxx_want_erase_if

Definition at line 81 of file vector.

## __glibcxx_want_incomplete_container_elements

#define __glibcxx_want_incomplete_container_elements

Definition at line 82 of file vector.

## __glibcxx_want_nonmember_container_access

#define __glibcxx_want_nonmember_container_access

Definition at line 83 of file vector.

## _GLIBCXX_VECTOR

#define _GLIBCXX_VECTOR

Definition at line 56 of file vector.

## Typedef Documentation

## vector

template<typename _Tp >

using std::pmr::vector = typedef std::vector<_Tp, polymorphic_allocator<_Tp> >

Definition at line 93 of file vector.